From: <a href="/blend/av.cgi?id=1523">i'm just him</a><BR>
Date: 4 February 2007<P>

rennielorca, about <a href="/blend/wv.cgi?id=2007.02.03.20.03.4570">SORTIN' IT OUT</a>: This is a refreshing poem, perfect for someone with someone to get over<BR>
<BR>
~i'm just him~<BR>
  tru story<BR>

<HR>
From: <a href="/blend/av.cgi?id=900">rennielorca</a><BR>
Date: 4 February 2007<P>

i'm just him, I dunno. I can only speak and write from my own experiences. Hardest thing with romance is sorting out the ones who can truly grow to love us and the ones playing games, using us for entertainment. A good clue is in how far one will let the relationship go down before wanting to correct a misunderstanding or problem. A lover should realize when he or she is only playing games and risking hurt both ways later; IF they have mistaken a game for something that could have been real...stamp that with a big REGRET. That honeymoon period in a new relationship is great, then we grow closer and learn about old habits, old haunts, old lovers and realize just how fast we'll deal with letting things get "old" and stale in this particular romance. Gets harder to tolerate problems as we age, even as we get mellower on some other things as romance and love is as personal as it gets in our hearts and minds. We definitely can't distance ourselves and step-back and out-of-body see the romance drama as it unfolds, so we sadly learn from past experience. I let some chances at romance and love go too far, and the hurt so deep, but I learned valuable lessons that kept my heart open to real love and not scarred past caring. Still, that old baggage, garbage and perceived lies raise their heads and must be dealt with sooner or later :( ...... Rennie
<HR>
From: <a href="/blend/av.cgi?id=1540">hairdiva</a><BR>
Date: 4 February 2007<P>

rennielorca, about <a href="/blend/wv.cgi?id=2007.02.03.20.03.4570">SORTIN' IT OUT</a>: I am hearing this loud and clear, and it's the perfect advice. Doing it is more difficult than it sounds, though.  Losing hope in romance goes hand in hand to me, though I know in my heart it shouldn't.  I work hard daily at not just shutting down that part of me, but I wouldn't remain who I am if I did so.  My brain sorts out more than my heart does.  And my brain says to just stop, build the walls. and remain untouchable.  There has to be a balance somewhere.  
<HR>
From: <a href="/blend/av.cgi?id=35">Star of David</a><BR>
Date: 4 February 2007<P>

Rennie,<BR>
Thanks... I'm just trying to catch up on all the great submissions here!<BR>
<BR>

<HR>